export function normalizeFqdn(value?: string): string | null {
	if (!value) return null;
	const trimmed = value.replace(/\/+$/, "");
	if (!/^https?:\/\//.test(trimmed)) return `https://${trimmed}`;
	return trimmed;
}
