import { routesManifest } from "@views/manifest";

import { Route } from "@solidjs/router";
import { lazy } from "solid-js";
import type { Component } from "solid-js";

const app: Component = () => (
	<>
		{Object.entries(routesManifest).map(([path, loader]) => (
			<Route path={path} component={lazy(loader)} />
		))}
	</>
);

export { app };
